Hooks:PostHook(WeaponFactoryTweakData, "init", "PisIronsPackModInit", function(self)
local front_sight_ids = {"wpn_fps_upg_o_pis_atps_front","wpn_fps_upg_o_pis_czhajo_front","wpn_fps_upg_o_pis_drsnek_front","wpn_fps_upg_o_pis_ghostring_front"}
local rear_sight_ids = {"wpn_fps_upg_o_pis_atps","wpn_fps_upg_o_pis_czhajo","wpn_fps_upg_o_pis_drsnek","wpn_fps_upg_o_pis_fma17","wpn_fps_upg_o_pis_ghostring","wpn_fps_upg_o_pis_seeall"}
--
local adds_ids = {"wpn_fps_pis_1911"}
local part_ovr_ids = {"wpn_fps_pis_p226_b_long","wpn_fps_pis_1911_b_long","wpn_fps_pis_g22c_b_long","wpn_fps_pis_usp_b_expert"}
local wpn_ovr_ids = {"wpn_fps_pis_p226","wpn_fps_pis_1911","wpn_fps_pis_g22c","wpn_fps_pis_legacy","wpn_fps_pis_shrew","wpn_fps_pis_usp","wpn_fps_pis_czech","wpn_fps_pis_stech"}
for _, wpn_id in pairs(adds_ids) do
	if not self[wpn_id].adds then
		self[wpn_id].adds = {}
	end
end
for _, wpn_id in pairs(wpn_ovr_ids) do
	if not self[wpn_id].override then
		self[wpn_id].override = {}
	end
end
for _, part_id in pairs(part_ovr_ids) do
	if not self.parts[part_id].override then
		self.parts[part_id].override = {}
	end
end
for _, front_sight_id in pairs(front_sight_ids) do
	self.wpn_fps_pis_g22c.override[front_sight_id] = {parent = "slide"}
	self.wpn_fps_pis_usp.override[front_sight_id] = {parent = "slide"}
	self.parts.wpn_fps_pis_p226_b_long.override[front_sight_id] = {a_obj = "a_of2_ironspack"}
	self.parts.wpn_fps_pis_1911_b_long.override[front_sight_id] = {a_obj = "a_of2_ironspack"}
	self.parts.wpn_fps_pis_g22c_b_long.override[front_sight_id] = {a_obj = "a_of2_ironspack"}
	self.parts.wpn_fps_pis_usp_b_expert.override[front_sight_id] = {a_obj = "a_of2_ironspack"}
	self.wpn_fps_pis_czech.override[front_sight_id] = {parent = "slide"}
	self.wpn_fps_pis_stech.override[front_sight_id] = {parent = "slide"}
end
for _, rear_sight_id in pairs(rear_sight_ids) do
	self.wpn_fps_pis_1911.adds[rear_sight_id] = {"wpn_fps_upg_o_pis_aaablock"}
	self.wpn_fps_pis_p226.override[rear_sight_id] = {forbids = {"wpn_fps_pis_p226_o_standard","wpn_fps_pis_p226_o_long"}}
	self.wpn_fps_pis_1911.override[rear_sight_id] = {forbids = {"wpn_fps_pis_1911_o_standard","wpn_fps_pis_1911_o_long"}}
	self.wpn_fps_pis_g22c.override[rear_sight_id] = {parent = "slide", override = {wpn_fps_pis_g22c_b_long = {unit = "units/mods/weapons/wpn_fps_pis_g22c_pts/wpn_fps_pis_g22c_b_long_nosight"}, wpn_fps_pis_g22c_b_standard = {unit = "units/mods/weapons/wpn_fps_pis_g22c_pts/wpn_fps_pis_g22c_b_standard_nosight"}}}
	self.wpn_fps_pis_legacy.override[rear_sight_id] = {override = {wpn_fps_pis_legacy_sl_standard = {unit = "units/mods/weapons/wpn_fps_pis_legacy_pts/wpn_fps_pis_legacy_sl_standard_nosight"}}}
	self.wpn_fps_pis_shrew.override[rear_sight_id] = {override = {wpn_fps_pis_shrew_sl_milled = {unit = "units/mods/weapons/wpn_fps_pis_shrew_pts/wpn_fps_pis_shrew_sl_milled_nosight"}, wpn_fps_pis_shrew_sl_standard = {unit = "units/mods/weapons/wpn_fps_pis_shrew_pts/wpn_fps_pis_shrew_sl_standard_nosight"}}}
	self.wpn_fps_pis_usp.override[rear_sight_id] = {parent = "slide", override = {wpn_fps_pis_usp_b_expert = {unit = "units/mods/weapons/wpn_fps_pis_usp_pts/wpn_fps_pis_usp_b_expert_nosight"}, wpn_fps_pis_usp_b_match = {unit = "units/mods/weapons/wpn_fps_pis_usp_pts/wpn_fps_pis_usp_b_match_nosight"}, wpn_fps_pis_usp_b_tactical = {unit = "units/mods/weapons/wpn_fps_pis_usp_pts/wpn_fps_pis_usp_b_tactical_nosight"}}}
	self.wpn_fps_pis_czech.override[rear_sight_id] = {parent = "slide", override = {wpn_fps_pis_czech_sl_standard = {unit = "units/mods/weapons/wpn_fps_pis_czech_pts/wpn_fps_pis_czech_sl_nosight"}}}
	self.wpn_fps_pis_stech.override[rear_sight_id] = {parent = "slide", override = {wpn_fps_pis_stech_sl_standard = {unit = "units/mods/weapons/wpn_fps_pis_stech_pts/wpn_fps_pis_stech_sl_nosight"}}}
end
end)